# module Kernel

Adds a `byebug` method to the Kernel module.

Dropping a `byebug` call anywhere in your code, you get a debug prompt.

### Public Instance Methods

byebug() click to toggle source

    # File lib/byebug/attacher.rb, line 35
    def byebug
      require "byebug/core"

      Byebug.attach unless Byebug.mode == :off
    end

Also aliased as: debugger
debugger()
Alias for: byebug
remote_byebug(host = "localhost", port = nil) click to toggle source

    # File lib/byebug/attacher.rb, line 41
    def remote_byebug(host = "localhost", port = nil)
      Byebug.spawn(host, port)

      Byebug.attach
    end